function e = bnorm(A, B, C)
% BNORM - Returns the "Boolean norm".
% e = BNORM(A, B, C) returns sum(sum(abs(A - min(1,B*C)))).
%   This code is free to use for scientific purposes provided that the
%   original paper is cited.
%
%   Copyright Pauli Miettinen & Stefan Neumann, 2016
  
  e = sum(sum(abs(A - min(1,B*C))));