ax = gca;
ax.FontSize = 17;

[hleg1, hobj1] = ...
	legend('truncated SVD', ...
		'Heuristic r = 1', ...
		'# Factors used for generation', ...
	   'location', 'southeast');

% increase the text in the legend
textobj = findobj(hobj1, 'type', 'text');
set(textobj, 'fontsize', 17);
% name the axis
xlabel('factors','FontSize', 17)
ylabel('rounding rank approximation', 'FontSize', 17)
% make it a nicer line space
% hleg1.Position =[0.7247,0.8067,0.1714,0.15];
hleg1.Position(3) = 0.33;
hleg1.Position(4) = 0.15;
