function res = setup_cvx()
%SETUP_CVX setups the CVX solver
%   res = SETUP_CVX() will return false if the CVX solver couldn't be
%   started.
%
%   This code is free to use for scientific purposes provided that the
%   original paper is cited.
%
%   Copyright Pauli Miettinen & Stefan Neumann, 2016


if isempty(regexp(path, 'cvx', 'once'))
    addpath('~/MATLAB/cvx');
end


res = true;

% Build a trivial test case

try
    cvx_setup
catch
    warning('Couldn''t run cvx_setup');
    res = false;
end


    